SIGSUM-VERIFY(1)

NAME
sigsum-verify - enforce public logging

SYNOPSIS
sigsum-verify [-v] [--help] [-k key-file] [-P policy-name] [-p policy-file] [--raw-hash] proof-file < input

DESCRIPTION
Verify that a message's signed checksum is logged for a given trust policy. The message to be verified is read on stdin.

OPTIONS

--help
    Show usage message and exit

-k, --key=key-file

    Submitter public keys, one per line in OpenSSH format (required)

-P, --named-policy=policy-name

    Use a named trust policy defining logs, witnesses, and a quorum rule

-p, --policy=policy-file

    Trust policy file defining logs, witnesses, and a quorum rule

--raw-hash
    Input has already been hashed and formatted as 32 octets or a hex string

-v, --version
    Show software version and exit

RETURN CODES
A non-zero return code is used to indicate failure.

CONTACT
Send an email to the sigsum-general mailing list at sigsum-general@lists.sigsum.org. You can also reach out in room #sigsum at OFTC.net and matrix.org.

ENVIRONMENT
The behavior of the sigsum tools is affected by the following environment variables:

SIGSUM_POLICY_DIR
        If set, this determines the location where the sigsum tools will look for named policy files (`*.sigsum-policy`).

FILES
/etc/sigsum/policy
        This directory is the default location for named policy files (`*.sigsum-policy`), when SIGSUM_POLICY_DIR is not set.

REPORTING BUGS
Use the issue tracker located at https://git.glasklar.is/sigsum/core/sigsum-go/-/issues. To file issues without a GitLab account, send an email to sigsum-core-sigsum-go-issues@incoming.glasklar.is and wait for a maintainer to make the issue public.

SEE ALSO
sigsum-key(1) sigsum-monitor(1) sigsum-policy(1) sigsum-submit(1) sigsum-token(1) sigsum-tools(5)